Установка IO::Socket::SSL

Discussion in 'PHP' started by 1ten0.0net1, 29 Jan 2008.

  1. 1ten0.0net1

    1ten0.0net1 Time out

    Joined:
    28 Nov 2005
    Messages:
    473
    Likes Received:
    330
    Reputations:
    389
    Прошу срочный и четкий совет по поводу установки с сохранением всех зависимостей, сего чуда под Windows.
     
  2. Spyder

    Spyder Elder - Старейшина

    Joined:
    9 Oct 2006
    Messages:
    1,390
    Likes Received:
    1,209
    Reputations:
    475
    так это
    cpan
    install SSL
     
  3. 1ten0.0net1

    1ten0.0net1 Time out

    Joined:
    28 Nov 2005
    Messages:
    473
    Likes Received:
    330
    Reputations:
    389
    Пробовал такой вариант. Вываливаются следующие ошибки:

    Warning: Your \.cpan\sources\modules\02packages.details.txt.gz does not contain
    a Line-Count header.
    Please check the validity of the index file by comparing it to more
    than one CPAN mirror. I'll continue but problems seem likely to
    happen.
    Warning: Your \.cpan\sources\modules\02packages.details.txt.gz does not contain
    a Last-Updated header.
    Please check the validity of the index file by comparing it to more
    than one CPAN mirror. I'll continue but problems seem likely to
    happen.
    Going to read \.cpan\sources\modules\03modlist.data.gz
    Can't locate object method "data" via package "CPAN::Modulelist" (perhaps you fo
    rgot to load "CPAN::Modulelist"?) at (eval 23) line 1.
    at C:/Perl/lib/CPAN.pm line 3412
    CPAN::Index::rd_modlist('CPAN::Index', '\.cpan\sources\modules\03modlist
    .data.gz') called at C:/Perl/lib/CPAN.pm line 3135
    CPAN::Index::reload('CPAN::Index') called at C:/Perl/lib/CPAN.pm line 67
    5
    CPAN::exists('CPAN=HASH(0x1f27214)', 'CPAN::Module', 'SSL') called at C:
    /Perl/lib/CPAN.pm line 1848
    CPAN::Shell::expandany('CPAN::Shell', 'SSL') called at C:/Perl/lib/CPAN.
    pm line 2084
    CPAN::Shell::rematein('CPAN::Shell', 'install', 'SSL') called at C:/Perl
    /lib/CPAN.pm line 2171
    CPAN::Shell::install('CPAN::Shell', 'SSL') called at C:/Perl/lib/CPAN.pm
    line 201
    eval {...} called at C:/Perl/lib/CPAN.pm line 201
    CPAN::shell() called at C:\Perl\bin\cpan.bat line 206
     
  4. .Slip

    .Slip Elder - Старейшина

    Joined:
    16 Jan 2006
    Messages:
    1,573
    Likes Received:
    976
    Reputations:
    783
    ppm install http://theoryx5.uwinnipeg.ca/ppms/Crypt-SSLeay.ppd
     
  5. 1ten0.0net1

    1ten0.0net1 Time out

    Joined:
    28 Nov 2005
    Messages:
    473
    Likes Received:
    330
    Reputations:
    389
    Насколько я понял, мне нужен Net:: а не Crypt:: =(((((((((((((( весь день трахаюсь
     
  6. Xszz

    Xszz Elder - Старейшина

    Joined:
    23 Apr 2007
    Messages:
    141
    Likes Received:
    42
    Reputations:
    9
    только что поставил , никаких проблем ...
    ppm install http://ppm.tcool.org/archives/IO-Socket-SSL.ppd
    пробуй .
    Если будут ошибки - копи-пасть ..
    Помогу ;)
     
  7. 1ten0.0net1

    1ten0.0net1 Time out

    Joined:
    28 Nov 2005
    Messages:
    473
    Likes Received:
    330
    Reputations:
    389
    C:\>ppm install http://ppm.tcool.org/archives/IO-Socket-SSL.ppd
    Error: Package 'Net-SSLeay' not found. Please 'search' for it first.

    ЩАс еау попробую поставить
     
  8. Xszz

    Xszz Elder - Старейшина

    Joined:
    23 Apr 2007
    Messages:
    141
    Likes Received:
    42
    Reputations:
    9
    Аааа , точно , я сначала ставил Net-SSLeay
    Щас дам линк ...
     
  9. Xszz

    Xszz Elder - Старейшина

    Joined:
    23 Apr 2007
    Messages:
    141
    Likes Received:
    42
    Reputations:
    9
    ppm install http://www.open.com.au/radiator/free-downloads/Net-SSLeay.ppd

    Вуаля ;)
     
    1 person likes this.
  10. 1ten0.0net1

    1ten0.0net1 Time out

    Joined:
    28 Nov 2005
    Messages:
    473
    Likes Received:
    330
    Reputations:
    389
    А я SSLeay там же на tcool нашел в этой папке! Спасибо большущее! Вопрос решен!

    Не все так просто. Система жалуется теперь на отсутсвие LIBEAYDLL32.dll =((( (призапуске GUI скрипта). Может быть коряво поставил - как переустановить пекейдж?
     
    #10 1ten0.0net1, 30 Jan 2008
    Last edited: 30 Jan 2008
  11. Digimortal

    Digimortal Banned

    Joined:
    22 Aug 2006
    Messages:
    471
    Likes Received:
    248
    Reputations:
    189
    http://cpan.uwinnipeg.ca/dist/Net-SSLeay

    http://cpan.uwinnipeg.ca/dist/IO-Socket-SSL

    ссылки на PPM-пакеты там снизу...
    вроде сначало net::ssleay ствится, а потом io::socket::ssl (там написано в ридми)..


    added: уже и сам нашел.. )
     
    #11 Digimortal, 30 Jan 2008
    Last edited: 30 Jan 2008
    1 person likes this.
  12. 1ten0.0net1

    1ten0.0net1 Time out

    Joined:
    28 Nov 2005
    Messages:
    473
    Likes Received:
    330
    Reputations:
    389
    Теперь точно все! Всм спасибо!
     
  13. lem

    lem New Member

    Joined:
    23 Aug 2010
    Messages:
    0
    Likes Received:
    1
    Reputations:
    0
    ppm install failed: The PPD does not provide code to install for this platform

    помогите пожалуйста не ставится IO Socket SSl
    такая ошибка выдается
     
  14. AlexV

    AlexV Elder - Старейшина

    Joined:
    29 Feb 2008
    Messages:
    202
    Likes Received:
    566
    Reputations:
    81
    Тоже мучает подобная ошибка.

    Ни за что не ставится IO-Socket-SSL.

    Сначала поставил: ppm install http://www.open.com.au/radiator/free-downloads/Net-SSLeay.ppd

    Далее пробую: ppm install http://ppm.tcool.org/archives/IO-Socket-SSL.ppd

    И выдает: ppm install failed: The PPD does not provide code to install for this platform

    Кто знает как решить этот вопрос? На win7 sp1 и на xp sp3 - выдается эта же ошибка.
     
    #14 AlexV, 7 Mar 2011
    Last edited: 7 Mar 2011
  15. red_joker

    red_joker New Member

    Joined:
    4 Nov 2010
    Messages:
    32
    Likes Received:
    3
    Reputations:
    0
    Как вариант, могут быть проблемы с версиями перла.
    Часть хмл по ссылке http://ppm.tcool.org/archives/IO-Socket-SSL.ppd
    PHP:
    <ARCHITECTURE NAME="MSWin32-x86-multi-thread-5.8"/>
    т.е. данный модуль под винду есть только для перл 5.8.*, а между 5.8 и 5.10/5.12 есть проблемы с обратной совместимостью, нужно смотреть твою версию перла и соотв какой именно Net-SSLeay тебе поставил ppm . В худшем случае, если хочется иметь IO::Socket::SSL именно на винде, возможно придется поставить старый перл 5.8, либо дебажить/пилить модуль, искать в нем части которые perl>=5.10 only.
    Вариант проще/быстрее - поставить *nix виртуалку на vmware с минимумом пакетов (например такую) и поставить все перл модули там.
    Выйдет точно быстрее, чем самому пилить модули под винду :)
     
    1 person likes this.
  16. Рамос

    Рамос Member

    Joined:
    30 Oct 2009
    Messages:
    118
    Likes Received:
    7
    Reputations:
    1
    perl -MCPAN -e shell
    install IO::Socket::SSL
     
  17. Romaxa55

    Romaxa55 Elder - Старейшина

    Joined:
    19 Oct 2005
    Messages:
    147
    Likes Received:
    30
    Reputations:
    4
    Подробная проблемма решалась по смене версии. Как то помню от каими перлвоский пм спаммер выкладывали, вот переругался, крипт есть а Net так и никак не инсталися, в итоге спасла более поздня версия активперла...
     
    1 person likes this.
  18. AlexV

    AlexV Elder - Старейшина

    Joined:
    29 Feb 2008
    Messages:
    202
    Likes Received:
    566
    Reputations:
    81
    Благодарю всех отписавшихся, вопрос решился установкой на виртуалке ActivePerl-5.8.9.829, и ppm install http://www.open.com.au/radiator/free-downloads/Net-SSLeay.ppd, затем ppm install http://ppm.tcool.org/archives/IO-Socket-SSL.ppd ;)
     
  19. Fepsis

    Fepsis Elder - Старейшина

    Joined:
    17 Sep 2008
    Messages:
    803
    Likes Received:
    391
    Reputations:
    72
    Я ставил IO-Socket-SSL.ppd под 5.8 на версию перла 5.12, проблем не наблюдал при работе...

    Сначала естественно: ppm install http://www.open.com.au/radiator/free-downloads/Net-SSLeay.ppd

    После этого в какой-нибудь папке создаём файл "IO-Socket-SSL.ppd" с содержимым:
    Code:
    <?xml version="1.0" encoding="UTF-8"?>
    <SOFTPKG NAME="IO-Socket-SSL" VERSION="1,38,0,0">
      <TITLE>IO-Socket-SSL</TITLE>
      <ABSTRACT>Nearly transparent SSL encapsulation for IO::Socket::INET.</ABSTRACT>
      <AUTHOR>Steffen Ullrich &amp; Peter Behroozi &amp; Marko Asplund</AUTHOR>
      <IMPLEMENTATION>
        <OS NAME="MSWin32" />
        <ARCHITECTURE NAME="MSWin32-x86-multi-thread-5.12" />
        <CODEBASE HREF="IO-Socket-SSL.tar.gz" />
        <DEPENDENCY NAME="Net-SSLeay" VERSION="1,36,0,0" />
        <PROVIDE NAME="IO::Socket::SSL" VERSION="1.38" />
      </IMPLEMENTATION>
    </SOFTPKG>
    В ту же папку кидаем IO-Socket-SSL.tar.gz, например от сюда http://ppm.tcool.org/archives/IO-Socket-SSL.tar.gz

    Ну а потом ppm install ПутьДоФайла\IO-Socket-SSL.ppd
     
  20. YuNi|[c

    YuNi|[c Elder - Старейшина

    Joined:
    17 Sep 2006
    Messages:
    293
    Likes Received:
    33
    Reputations:
    18
    пробовал так как написал но:
    C:\>ppm install c:\IO-Socket-SSL.ppd
    ppm install failed: The PPD does not provide code to install for this platform
    версия перл 5.8.8 build 822 на X sp3 ((
     
Loading...